Subject: Re: [PATCH] powerpc: add of_find_next_property and of_get_aliased_index

From: Stefan Roese <[email-masked]>
Date: Thu, 26 Jun 2008 17:51:05 +0200

On Thursday 26 June 2008, Timur Tabi wrote:
> > The only thing a platform should ever use aliases for is if it needs
> > to (for whatever purpose) find a specific device, that it cannot
> > identify otherwise (via "reg", ...).  And then that platform code
> > should look up the device by the alias, not look up the alias by the
> > device -- there is no 1-1 mapping from device to alias!
>
> Hmmm, I hadn't through about that.  I guess this patch isn't such a great
> idea after all.  I rescind it.

Too bad. So now we're back to where we started with the discussion 
about "cell-index" vs. "index" vs. no index on I2C device nodes. :-(

Best regards,
Stefan